document.addEventListener('DOMContentLoaded', () => {
  const messages = [
    "You can do anything",
    "The unimaginable is imaginable",
    "The impossible is possible",
    "Your potential is unlimited",
    "This is Welcome"
  ];

  const messageElement = document.querySelector('.message');
  let currentIndex = 0;

  function updateMessage() {
    messageElement.style.opacity = 0;
    setTimeout(() => {
      messageElement.textContent = messages[currentIndex];
      messageElement.style.opacity = 1;
      currentIndex = (currentIndex + 1) % messages.length;
    }, 1000);
  }

  setInterval(updateMessage, 4000);

  // Add interactive cursor effect
  document.addEventListener('mousemove', (e) => {
    const rings = document.querySelectorAll('.orbit-ring');
    const x = e.clientX / window.innerWidth - 0.5;
    const y = e.clientY / window.innerHeight - 0.5;
    
    rings.forEach((ring, index) => {
      const factor = (index + 1) * 5;
      ring.style.transform = `rotate(${e.clientX / 10}deg) translate(${x * factor}px, ${y * factor}px)`;
    });
  });
});
